Subject: Re: [bug#35813] [PATCH] Add crate-recursive-import.

From: Brian Leung <[email-masked]>
Date: Sun, 13 Oct 2019 00:42:22 -0700

Closing this since someone else already merged their own crate recursive
importer.

On Sun, Sep 8, 2019 at 12:57 AM Efraim Flashner <[email-masked]>
wrote:

> As a simple test I ran 'guix import crate encoding -r' and it gave me
> the 6 packages I expected. 'guix import crate winapi -r' only gave me
> rust-winapi, as the dependent crates are already packaged. When I tried
> 'guix import crate rand -r' it found the updated version and started
> importing all the new dependencies also.
>
> It looks good. I'm tempted to leave it running with 'guix import crate
> serde -r' just to see if we're ever going to make it there.
>
> I see that it imports A then B then C then D, and prints out D then C
> then B then A. For the one I tested with is still rust-encoding. I'll
> try my hand at ascii art:
>
>                             encoding
>                                 |
>   -------------------------------------------------------
>   |         |               |           |               |
> japanese  korean      simpchinese    singlebyte     tradchinese
>   |         |               |           |               |
>   -------------------------------------------------------
>                         |
>                  encoding-tests
>
> import went encoding, japanese, tests, korean, simpchinese, singlebyte,
> tradchinese
>
> I think the only thing I would wish for would be to do tests, then the
> languages and then encoding (best for upstreaming one at a time), or to
> do them alphabetically (plop them in alphabetically all at once). This
> I'm happy to live without I think.
>
> The other thing was I ran 'guix import crate security-framework -r' and
> after ~40 crates it crashed on me with:
>     web/http.scm:1186:15: In procedure read-response-line:
>     Bad Read-Header-Line header: #<eof>
> and I would prefer to have the ~40 crates it did grab first to be
> printed out and not lost. Between these two I would like most to not
> lose the imported crates than worrying over the printed order.
>
> Great job! From what I've tested I think it's ready as-is and any
> changes would just be gravy.
>
>
> --
> Efraim Flashner   <[email-masked]>   אפרים פלשנר
> GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypted
>